net.minecraft.item

## Class ItemArmor

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemArmor

-     public class ItemArmor
      extends Item

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `armorType` Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots
    `int` | `damageReduceAmount` Holds the amount of damage that the armor reduces at full durability.
    `static String[]` | `field_94603_a`
    `int` | `renderIndex` Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeIron, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsIron, bootsLeather, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, comparator, compass, cookie, diamond, doorIron, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetIron, helmetLeather, hoeDiamond, hoeGold, hoeIron, hoeStone, hoeWood, ingotGold, ingotIron, itemFrame, itemID, itemsList, leather, legsChain, legsDiamond, legsGold, legsIron, legsLeather, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartHopper, minecartPowered, minecartTnt, monsterPlacer, netherQuartz, netherrackBrick, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeIron, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateIron, plateLeather, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelIron, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordIron, swordStone, swordWood, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemArmor(int par1, EnumArmorMaterial par2EnumArmorMaterial, int par3, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_82813_b(ItemStack par1ItemStack, int par2)`
    `static Icon` | `func_94602_b(int par0)`
    `EnumArmorMaterial` | `getArmorMaterial()` Return the armor material for this armor item.
    `int` | `getColor(ItemStack par1ItemStack)` Return the color for the specified armor ItemStack.
    `int` | `getColorFromItemStack(ItemStack par1ItemStack, int par2)`
    `Icon` | `getIconFromDamageForRenderPass(int par1, int par2)`
    `boolean` | `getIsRepairable(ItemStack par1ItemStack, ItemStack par2ItemStack)` Return whether this item is repairable in an anvil.
    `int` | `getItemEnchantability()` Return the enchantability factor of the item, most of the time is based on material.
    `boolean` | `hasColor(ItemStack par1ItemStack)` Return whether the specified armor ItemStack has a color.
    `ItemStack` | `onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` Called whenever this item is equipped and the right mouse button is pressed.
    `void` | `registerIcons(IconRegister par1IconRegister)`
    `void` | `removeColor(ItemStack par1ItemStack)` Remove the color from the specified armor ItemStack.
    `boolean` | `requiresMultipleRenderPasses()`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getArmorModel, getArmorTexture, getChestGenBase, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamage, getDamageVsEntity, getDamageVsEntity, getDisplayDamage, getEntityLifespan, getFontRenderer, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconIndex, getItemDamageFromStack, getItemDamageFromStackForDisplay, getItemDisplayName, getItemMaxDamageFromStack, getItemStackLimit, getItemUseAction, getLocalizedName, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getUnlocalizedName, getUnlocalizedName, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemStackDamaged, isItemTool, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, isValidArmor, itemInteractionForEntity, onArmorTickUpdate, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, renderHelmetOverlay, setContainerItem, setCreativeTab, setDamage, setFull3D, setItemDamageForStack, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setUnlocalizedName, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_94603_a

          public static final String[] field_94603_a

    - #### armorType

          public final int armorType

      Stores the armor type: 0 is helmet, 1 is plate, 2 is legs and 3 is boots

    - #### damageReduceAmount

          public final int damageReduceAmount

      Holds the amount of damage that the armor reduces at full durability.

    - #### renderIndex

          public final int renderIndex

      Used on RenderPlayer to select the correspondent armor to be rendered on the player: 0 is cloth, 1 is chain, 2 is iron, 3 is diamond and 4 is gold.

  - ### Constructor Detail

    - #### ItemArmor

          public ItemArmor(int par1,
                   EnumArmorMaterial par2EnumArmorMaterial,
                   int par3,
                   int par4)

  - ### Method Detail

    - #### getColorFromItemStack

          public int getColorFromItemStack(ItemStack par1ItemStack,
                                  int par2)

      Overrides:
        `getColorFromItemStack` in class `Item`

    - #### requiresMultipleRenderPasses

          public boolean requiresMultipleRenderPasses()

      Overrides:
        `requiresMultipleRenderPasses` in class `Item`

    - #### getItemEnchantability

          public int getItemEnchantability()

      Return the enchantability factor of the item, most of the time is based on material.
      Overrides:
        `getItemEnchantability` in class `Item`

    - #### getArmorMaterial

          public EnumArmorMaterial getArmorMaterial()

      Return the armor material for this armor item.

    - #### hasColor

          public boolean hasColor(ItemStack par1ItemStack)

      Return whether the specified armor ItemStack has a color.

    - #### getColor

          public int getColor(ItemStack par1ItemStack)

      Return the color for the specified armor ItemStack.

    - #### getIconFromDamageForRenderPass

          public Icon getIconFromDamageForRenderPass(int par1,
                                            int par2)

      Overrides:
        `getIconFromDamageForRenderPass` in class `Item`

    - #### removeColor

          public void removeColor(ItemStack par1ItemStack)

      Remove the color from the specified armor ItemStack.

    - #### func_82813_b

          public void func_82813_b(ItemStack par1ItemStack,
                          int par2)

    - #### getIsRepairable

          public boolean getIsRepairable(ItemStack par1ItemStack,
                                ItemStack par2ItemStack)

      Return whether this item is repairable in an anvil.
      Overrides:
        `getIsRepairable` in class `Item`

    - #### registerIcons

          public void registerIcons(IconRegister par1IconRegister)

      Overrides:
        `registerIcons` in class `Item`

    - #### onItemRightClick

          public ItemStack onItemRightClick(ItemStack par1ItemStack,
                                   World par2World,
                                   EntityPlayer par3EntityPlayer)

      Called whenever this item is equipped and the right mouse button is pressed. Args: itemStack, world, entityPlayer
      Overrides:
        `onItemRightClick` in class `Item`

    - #### func_94602_b

          public static Icon func_94602_b(int par0)